summaryrefslogtreecommitdiffstats
path: root/kubernetes/oneclick
diff options
context:
space:
mode:
authorMunir Ahmad <munir.ahmad@bell.ca>2017-08-09 14:51:11 -0400
committerMunir Ahmad <munir.ahmad@bell.ca>2017-08-14 09:14:07 -0400
commit87b010996f4f340806362ba49487f70bb13b72df (patch)
tree7957cdd47f53abc8484b63cea1a39f171a4ff94b /kubernetes/oneclick
parent5197e2e88144a536068fb75e912f91b20e39db2e (diff)
multiple ONAP instances in the same k8s env
issue-id: OOM-64 Change-Id: I77e48e635d20295aee2b351bbf94203ed47fe5b0 Signed-off-by: Munir Ahmad <munir.ahmad@bell.ca>
Diffstat (limited to 'kubernetes/oneclick')
-rwxr-xr-xkubernetes/oneclick/createAll.bash29
1 files changed, 26 insertions, 3 deletions
diff --git a/kubernetes/oneclick/createAll.bash b/kubernetes/oneclick/createAll.bash
index af300f25cd..bc211eeb47 100755
--- a/kubernetes/oneclick/createAll.bash
+++ b/kubernetes/oneclick/createAll.bash
@@ -8,6 +8,7 @@ Usage: $0 [PARAMs]
-u : Display usage
-n [NAMESPACE] : Kubernetes namespace (required)
-s false : Exclude services (default: true)
+-i [INSTANCE] : ONAP deployment instance # (default: 1)
-a [APP] : Specify a specific ONAP component (default: all)
from the following choices:
sdc, aai ,mso, message-router, robot,
@@ -24,17 +25,22 @@ create_registry_key() {
}
create_service() {
+ sed -i -- 's/nodePort: [0-9]\{2\}[02468]\{1\}/nodePort: '"$3"'/g' ../$2/all-services.yaml
+ sed -i -- 's/nodePort: [0-9]\{2\}[13579]\{1\}/nodePort: '"$4"'/g' ../$2/all-services.yaml
kubectl --namespace $1-$2 create -f ../$2/all-services.yaml
+ mv ../$2/all-services.yaml-- ../$2/all-services.yaml
}
#MAINs
NS=
INCL_SVC=true
APP=
+INSTANCE=1
+MAX_INSTANCE=5
DU=$ONAP_DOCKER_USER
DP=$ONAP_DOCKER_PASS
-while getopts ":n:u:s:a:du:dp:" PARAM; do
+while getopts ":n:u:s:i:a:du:dp:" PARAM; do
case $PARAM in
u)
usage
@@ -46,6 +52,9 @@ while getopts ":n:u:s:a:du:dp:" PARAM; do
s)
INCL_SVC=${OPTARG}
;;
+ i)
+ INSTANCE=${OPTARG}
+ ;;
a)
APP=${OPTARG}
if [[ -z $APP ]]; then
@@ -75,6 +84,20 @@ if [[ ! -z "$APP" ]]; then
ONAP_APPS=($APP)
fi
+if [[ "$INCL_SVC" == true ]]; then
+
+ if [ "$INSTANCE" -gt "$MAX_INSTANCE" ];then
+ printf "\n********** You choose to create ${INSTANCE}th instance of ONAP \n"
+ printf "\n********** Due to port allocation only ${MAX_INSTANCE} instances of ONAP is allowed per kubernetes deployment\n"
+ exit 1
+ fi
+
+ start=$((300+2*INSTANCE))
+ end=$((start+1))
+ printf "\n********** Creating instance ${INSTANCE} of ONAP with port range ${start}00 and ${end}99\n"
+
+fi
+
printf "\n********** Creating up ONAP: ${ONAP_APPS[*]}\n"
for i in ${ONAP_APPS[@]}; do
@@ -83,7 +106,7 @@ for i in ${ONAP_APPS[@]}; do
if [[ "$INCL_SVC" == true ]]; then
printf "\nCreating services **********\n"
- create_service $NS $i
+ create_service $NS $i $start $end
fi
printf "\n"
@@ -95,4 +118,4 @@ for i in ${ONAP_APPS[@]}; do
/bin/bash $i.sh $NS $i 'create'
done
-printf "**** Done ****"
+printf "\n**** Done ****\n"